main()
{
	//maps\mp\mp_fun_times_fx::main();
	//maps\createart\mp_fun_times_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_fun_times");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_fun_times" );
	ambientPlay("ambient_factory_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar("r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//fx
	level.fx_wood_explosion = loadfx("explosions/wood_explosion");
	level.fx_glass_break = loadfx("props/car_glass_large");

	//wood break code
	trigger_break = getentarray("trigger_break","targetname");
	for(i=0;i<trigger_break.size;i++)
	{
		trigger_break[i].woodmodel = getent(trigger_break[i].target, "targetname");
		trigger_break[i] thread woodbreak();
	}

	//glass code
	trigger_glass = getentarray("trigger_glass","targetname");
	for(i=0;i<trigger_glass.size;i++)
	{
		trigger_glass[i].broken = false;
		trigger_glass[i].modelname = getent(trigger_glass[i].target, "targetname");		
		trigger_glass[i] thread glass_break();
	}

}

//glass break code
glass_break()
{
	while (1)
	{
		self waittill("trigger", user);
		if(!self.broken)
		{
			self.broken = true;
			PlayFX(level.fx_glass_break, self.modelname.origin);
			self.modelname hide();
			self.modelname notSolid();
		}
	}
}

//wood break code
woodbreak()
{
	woodbroken = false;
	while (1)
	{
		self waittill("trigger");
		while(!woodbroken)
		{
			woodbroken = true;
			PlayFX(level.fx_wood_explosion, self.origin);
			self.woodmodel notSolid();
			self.woodmodel hide();
		}
	}
}